
Family Care - Bug #2383

tasks review screen

06/09/2021 09:30 PM - Saja Nakhleh

Status: Closed Start date: 06/09/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

a. screen label is not meaningful.

evidence 1.gif

b. fields label  حالة الملف is wrong.

evidence 1.gif

and the field (رقم الطلب) is alway inherit

the open file task number. evidence 1.gif

c. the value of column : تاريخ اخر

should be the latest change date تحديث

done on the task, it either empty or

retrieve wrong value evidence 2.gif

d. the margin is very wide hence the user

will notice the task data section by chance

Issue #2:

A server exception error will be occurred

as on the video: 

https://www.loom.com/share/1371a070a3

7846e1a336f81baeab8d8d

Issue #3:

the tasks review screen will keep showing

the data of the first selected file, except if

the user navigated out the screen before

as on the video:

https://www.loom.com/share/a85da4dc2f7

74feb8ed82e2fd9268dab

Issue #4:

the fields layout and their values are

corrupted ass on evidence 4.gif

Severity: Normal Environment: QA

Category: inquiry screens Transaction Number:  

Sub-Category:  Username: USR00012/12345678

Step_Description:  Browser: Chrome

Pre_Conditions:  URL:  

Expected Result: Issue #1:

a. screen label should be: مراجعة

الطلبات

b. fields labels  should be: حالة الملف

and the field (رقم الطلب) should not be

fixed value, it should change the value

based on the selected task or removed

from the screen

c. the value of column : تاريخ اخر

should be the latest change date تحديث

done on the task

Test Case ID:  
d. the margin should be smaller to allow

the user notice the task data section

Issue #2:

the tab should be opened normally

ISsue #3:

the shown data should be for the civil ID

(302062500266)

Issue #4:

all the fields should be viewed even if they

are empty

Description

Issue #1:

1. Select file of Civil ID (290042800055)

2. Open tasks review screen

3. Observe the screen label: البيانات الأساسية للملف

4. Observe the fields labels: رقم الطلب , حالة الطلب

5. Observe the column values: تاريخ اخر تحديث

6. Observe the margin belween the sections: tasks and tasks' data

Issue #2:

1. Select file of Civil ID (290042800055)

2. Open tasks review screen

3. select Open file from the drop down list

4. select the showed record

5. from (بيانات الطلب) section, navigate to the (بيانات الحالة) tab

Issue #3:

1. Select file of Civil ID (290042800055)

2. Open tasks review screen

3. select any other file (i.e: 302062500266)

4. Open tasks review screen

5. Observe the shown data

Issue #4:

1. Select file of Civil ID (302062500266)

2. Open tasks review screen

3. select Open file from the drop down list

4. navigate to tab (بيانات المستفيدين) and observe the fields

enhancement ( for QA follow-up ):

the exceptional stop should be added and tested as discussed with Shadi

History

#1 - 06/13/2021 12:24 PM - Shadi Abuomar

- Status changed from Open to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

- Exceptional stop file requests will appeared under Update File Type.

- Issue #3 @Saeed working on it.

- Also about "تاريخ اخر تحديث" team members responsible on work flow processes must update the UPDATED_DATE column in PROCESS_INFO

table to keep track the task.

#2 - 06/14/2021 02:20 PM - Saja Nakhleh

- File 1.GIF added

Issue #1:

the issues a,b,d are tested and verified. evidence 1.gif
http://185.98.225.148:8089/redmine/issues/1
http://185.98.225.148:8089/redmine/issues/2
http://185.98.225.148:8089/redmine/issues/3
http://185.98.225.148:8089/redmine/issues/4
http://185.98.225.148:8089/redmine/issues/3
http://185.98.225.148:8089/redmine/issues/1


issue c:   تاريخ التحديث

tested and verified for:

update file task

change file task

debs and dues task

and it's failed for open file tasks (waiting from Sewar)

Issue #2:

tested and verified.

Issue #3:

still duplicated (waiting from Saeed)

Issue #4:

issue will be rejected as it's not duplicated on any other task and this task is not exist on the env.

Issue #5:

the exceptional stop tasks still not shown even under update file choice

observe task #149965 for civil id: 265011100983

#3 - 06/14/2021 02:21 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Shadi Abuomar

#4 - 06/15/2021 12:19 PM - Shadi Abuomar

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#5 - 06/15/2021 02:14 PM - Saja Nakhleh

- File 3.GIF added

- File 2.GIF added

- Status changed from Feedback to Closed

Issue #1:

C: tested and verified. evidence 3.gif

Issue #3: tested and verified (the user will be retrieved to the main page after searching for the second id)

Issue #:

tested and verified. evidence 2.gif

Files
http://185.98.225.148:8089/redmine/issues/2
http://185.98.225.148:8089/redmine/issues/3
http://185.98.225.148:8089/redmine/issues/4
http://185.98.225.148:8089/redmine/issues/5
http://185.98.225.148:8089/redmine/issues/1
http://185.98.225.148:8089/redmine/issues/3


1.GIF 81.9 KB 06/09/2021 Saja Nakhleh

2.gif 154 KB 06/09/2021 Saja Nakhleh

3.GIF 37.4 KB 06/09/2021 Saja Nakhleh

4.GIF 37.4 KB 06/09/2021 Saja Nakhleh

1.GIF 54.5 KB 06/14/2021 Saja Nakhleh

3.GIF 49.3 KB 06/15/2021 Saja Nakhleh

2.GIF 76.1 KB 06/15/2021 Saja Nakhleh
